clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::ParameterInformation Struct Reference

A single parameter of a particular signature. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::ParameterInformation:
[legend]

## Public Attributes
std::string | label
| The label of this parameter. Mandatory. More...
std::string | documentation
| The documentation of this parameter. Optional. More...

## Detailed Description

A single parameter of a particular signature.

Definition at line 912 of file Protocol.h.

## Member Data Documentation

## ◆ documentation

std::string clang::clangd::ParameterInformation::documentation

The documentation of this parameter. Optional.

Definition at line 918 of file Protocol.h.

Referenced by clang::clangd::toJSON().

## ◆ label

std::string clang::clangd::ParameterInformation::label

The label of this parameter. Mandatory.

Definition at line 915 of file Protocol.h.

Referenced by clang::clangd::toJSON().

The documentation for this struct was generated from the following file:

- Protocol.h